Bug 170808 - crontab hangs on invalid input
crontab hangs on invalid input
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
3.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On: 89937
Blocks: 161600
  Show dependency treegraph
 
Reported: 2005-10-14 12:17 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005:0117
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-01 13:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-10-14 12:17:18 EDT
+++ This bug was initially created as a clone of Bug #89937 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3) Gecko/20030312

Description of problem:
When entering an illegal crontab, crontab hangs and consumes 100% of cpu time.
Yes, you could say this is user error, but the error recovery of crontab should
be improved.

Version-Release number of selected component (if applicable):
vixie-cron-3.0.1-69

How reproducible:
Always

Steps to Reproduce:
1. Call crontab -e on the command line.
2. Add a line which reads:

*/__WONKY__ * * * * /bin/true

3. Save and exit the editor.

Actual Results:  The editor never exits, crontab consumes 100% of cpu time.

Expected Results:  An error should be returned. Something like:

crontab: installing new crontab
"/tmp/crontab.16807":1: bad minute
errors in crontab file, can't install.
Do you want to retry the same edit?


Additional info:

-- Additional comment from trenton@mirrorpond.com on 2004-04-05 16:30 EST --
Reassigning to queue owner. Not sure how it got assigned to me...

-- Additional comment from petersen@redhat.com on 2004-06-30 12:40 EST --
*** Bug 114386 has been marked as a duplicate of this bug. ***

-- Additional comment from petersen@redhat.com on 2004-06-30 12:41 EST --
Should get fixed in 3.0.1-94.

-- Additional comment from jvdias@redhat.com on 2004-08-30 19:06 EST --
This was fixed in 3.0.1-94 & in current version : vixie-cron-4.1-10. 

-- Additional comment from petersen@redhat.com on 2005-07-12 21:53 EST --
I recommend cloning a bug for this for RHEL3.

-- Additional comment from dff@redhat.com on 2005-07-20 17:58 EST --
Withholding PM ACK; vixie-cron does not currently have a QA slot allocated to it
for U6:
  http://intranet.corp.redhat.com/ic/intranet/U6Packages.html
Comment 1 Jason Vas Dias 2005-10-14 12:18:09 EDT
This bug is fixed with vixie-cron-4.1-8_EL3, available from:
  http://people.redhat.com/~jvdias/cron/RHEL-3
and should be considered for inclusion in RHEL-3-U7 .
Comment 3 Jason Vas Dias 2006-05-01 13:58:52 EDT
Fixed with vixie-cron-4.1-10.EL3, currently in RHEL-3-U7 with errata
RHSA-2005:0117.

Note You need to log in before you can comment on or make changes to this bug.